entmakex

Wyszukaj w słowniku

Dostępne słowniki:

Termin Definicja
entmakex

Entmakex działa podobnie jak entmake. czyli pozwala na tworzenie obiektów ( graficznych i niegraficznych )

 

Różnicą pomiędzy entmake i entmakex jest wartość zwracana przez funkcję. entmake zwraca listę definicji. entmakex zwraca obiekt - entity.

Obiekty którym nie jest przypisany "owner"* nie są zapisywane do rysunku. Należy więc upewnić się, że po użyciu entmakex, gdzieś dalej element zostanie przypisany do jakiegoś "ownera".

W wielu przypadkach można użyć zamiennie entmake i entmakex, natomiast sa przypadki gdzie właściwym jest użycie entmakex np XRECORD.

 

(defun C:UTWÓRZXRECORD( / xrec xname )
(setq xrec '((0 . "XRECORD")(100 . "AcDbXrecord")
(1 . "testowy xrecord ")
(10 10.0 12.0 0.0) (40 . 3.14 )
(62 . 1) (70 . 180))
)

; tworzymy XRECORD
(setq xname (entmakex xrec))

; dodajemy XRECORD do słownika.
(dictadd (namedobjdict) "TESTXREC" xname)

(princ)
)

 

(defun C:TESTXRECORD ( / )
(princ xlist (dictsearch (namedobjdict) "TESTXREC"))
(princ)
)

 

* "owner" to obiekt nadrzędny. Jakoś tak "właściciel" mi tu nie pasuje, ale to może być kwestia indywidualna. Przykładem takiego "ownera" może być definicja bloku dla elementów wewnąrz bloku, lub polilinia dla jej wierzchołków, albo słownik dla elementów typu XRECORD.

 

comments powered by Disqus